#map { height: 500px; width: 100% }

html, body { margin : 0; padding : 0 }

body {
font-family : open sans, sans-serif;
font-size : 14px;
line-height : 1.428571429;
color : #000;
background-color : #fff;
}

.info { padding: 6px 8px; font: 14px/16px Arial, Helvetica, sans-serif; background: white; background: rgba(255,255,255,0.8); box-shadow: 0 0 15px rgba(0,0,0,0.2); border-radius: 5px; } 
.info h4 { margin: 0 0 5px; color: #777; }
.legend { text-align: left; line-height: 18px; color: #555; } 
.legend i { width: 18px; height: 18px; float: left; margin-right: 8px; opacity: 0.7; }

/* Texto do lado do globo */
h2, .h2 {
font-size : 30px;
color : #770000;
}

/* enquadramento do mapa na página */
.container {
margin-right : auto;
margin-left : auto;
padding-left : 15px;
padding-right : 15px;
}

/* posição das colunas */
.col-md-2 {
position : relative;
min-height : 1px;
padding-left : 15px;
padding-right : 15px;
}

@media (min-width:999px) {
.container {
max-width : 1170px;
}
.col-md-2 {
float : left;
}
.col-md-2 {
width : 16.66666666666666%;
}
}

.controls {
        margin-top: 10px;
        border: 1px solid transparent;
        border-radius: 2px 0 0 2px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        height: 32px;
        outline: none;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
      }

      #pac-input {
        background-color: #fff;
        font-family: Roboto;
        font-size: 15px;
        font-weight: 300;
        margin-left: 12px;
        padding: 0 11px 0 13px;
        text-overflow: ellipsis;
        width: 300px;
      }

      #pac-input:focus {
        border-color: #4d90fe;
      }

      .pac-container {
        font-family: Roboto;
      }

      #type-selector {
        color: #fff;
        background-color: #4d90fe;
        padding: 5px 11px 0px 11px;
      }

      #type-selector label {
        font-family: Roboto;
        font-size: 13px;
        font-weight: 300;
      }
      #target {
        width: 345px;
}		
		
/* trecho adicional */

.infoBox {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%; /* Altere de 500px para uma porcentagem desejada */
    max-width: 500px; /* Define uma largura máxima para evitar que a caixa de texto fique muito larga em telas grandes */
    background-color: white;
    border: 2px solid #770000;
    padding: 10px;
    z-index: 1000;
}

/* Estilo para o botão Notas */
button {
    background-color: #00BFFF;
    color: white;
    font-size: 14px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    padding: 8px 16px;
}

.info-button {
    display: block;
    margin: 0 auto; /* Define margem automática para centralizar */
    background-color: #770000;
    color: white;
    font-size: 14px;
    border-radius: 5px;
    border: 2px solid #770000;
}

.info-button:hover {
    background-color: #DCDCDC;
	border: 2px solid #DCDCDC;
}

/* Estilo para o botão de fechar */
.closeBtn {
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
}

/* Estilo para bullets no rodapé */
.bullets-footer {
  display: block;
  max-width: 685px;
  margin: 10px auto 20px;
  line-height: 140%;
  text-align: left;
}

.saiba-mais-link {
    display: block;
    text-align: center;
}
    
.pgImg { 
    text-align: center; 
    height: 100px; 
    width: 88px;
    margin-top: 10px; 
    margin-bottom: 10px; 
    display: block; 
    margin-left: auto; 
    margin-right: auto
}

@keyframes blink {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

#loadingMessage {
    text-align: center;
    font-size: 18px;
    padding: 20px;
    animation: blink 2s infinite;
}

.filter-box {
    background-color: #f9f9f9; /* Cor de fundo */
    padding: 10px; /* Espaçamento interno */
    border-radius: 5px; /* Borda arredondada */
    margin-bottom: 20px; /* Espaçamento inferior */
}

/* Estilos para os filtros */
#filter-container {
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

select {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    margin-bottom: 10px;
}

/* Estilos para o botão */
button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-color: #45a049;
}

#clear {
    background-color: #007bff; /* Azul */
    color: white; /* Texto em branco para contrastar */
}

/* Estilo para o checkbox */
.checkbox-container {
    display: inline-block;
    position: relative;
    cursor: pointer;
}



/* Adiciona um espaço entre os grupos de informações */
    .info-separator {
        margin-bottom: 40px;
    }

.loading-message {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #F7DC6F;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 18px;
    z-index: 1000;
    display: none; /* Inicialmente oculto */
}

#totalIgrejas, #legenda {
    margin-top: 20px;
    padding: 10px;
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    border-radius: 5px;
}

#totalIgrejas h3, #legenda h3 {
    font-size: 18px;
    margin-bottom: 10px;
}

#totalIgrejas ul, #legenda ul {
    list-style-type: none;
    padding: 0;
}

#totalIgrejas ul li, #legenda ul li {
    margin-bottom: 5px;
}

.legend-dot {
    width: 10px;
    height: 10px;
    display: inline-block;
    margin-right: 5px;
    border-radius: 50%;
}

/* Estilo para o elemento de carregamento */
        #loadingOverlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999; /* Garante que fique acima de todos os outros elementos */
        }